GGKP Knowledge Brokerage API
Home
What is GGKP?
Home
What is GGKP?
  1. Search
  • Overview
  • Use Cases
  • Security
  • FAQ
  • Taxonomy
    • Retrieve Master Taxonomy
      GET
    • Retrieve Taxonomy by Term ID
      GET
    • Retrieve Domain-Specific Taxonomy
      GET
  • Search
    • Federated Search
      POST
    • Semantic Search
      POST
    • List Connected Sources
      GET
    • Register New Source
      POST
    • Upload Knowledge Products
      POST
    • List Products by Source
      GET
    • Delete Products
      DELETE
  • Classifier
    • Classify PDF Document
      POST
    • Generate Body and Summary
      POST
  • Bots
    • Generic Bot
      POST
  1. Search

Register New Source

POST
https://api.ggkp.org/search-federator/upload-source
Search
Registers a new data source in the federated search network. Requires the 'Upload Source' permission.

Request

Authorization
API Key
Add parameter in header
api-key
Example:
api-key: ********************
or
Header Params

Body Params application/jsonRequired

Examples

Responses

🟢201
application/json
Source registered successfully
Body

🟠400
🟠401
🟠403
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.ggkp.org/search-federator/upload-source' \
--header 'api-key: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "source_name": "Partner Organization Library",
    "source_url": "https://partner.org/library",
    "description": "string"
}'
Response Response Example
{
    "status": "string",
    "source_id": "string",
    "message": "string"
}
Previous
List Connected Sources
Next
Upload Knowledge Products
Built with